<!DOCTYPE html>
<html lang="ru">

<head>
    <title>
        My Form
    </title>
    <link rel="stylesheet" href="style.css">
    <script src="script.js"></script>
</head>

<body>
    <button class="open-button" onclick="openForm()">Подпишитесь</button>
    <div class="form-popup" id="myForm">
        <form action="#" class="form-container">
            <h1>Подписаться</h1>
            <label for="name" ><b>Имя</b></label>
            <input type="text" placeholder="Ваше имя" name="name" id="name" required>
            <label for="email"><b>Е-мейл</b></label>
            <input type="text" placeholder="Ваш е-мейл" name="email" id="email" required>
            <label for="text"><b>Текст</b></label>
            <input type="text" placeholder="Что-то о себе" name="text" id="text">
            <label for="check">Согласия на всё</label>
            <input type="checkbox" name="check" id="check" required>
            <button type="submit" class="btn">Отправить</button>
            <button type="button" class="btn cancel" onclick="closeForm()">Закрыть</button>
        </form>
    </div>
</body>

</html>